SYSTEMD-TTY-ASK-PASSWORD-AGENT(1)

NAME
systemd-tty-ask-password-agent - List or process pending systemd password requests

SYNOPSIS

systemd-tty-ask-password-agent [OPTIONS...] [VARIABLE=VALUE...]

DESCRIPTION

systemd-tty-ask-password-agent is a password agent that handles password requests of the system, for example for hard disk encryption passwords or SSL certificate passwords that need to be queried at boot-time or during runtime.

systemd-tty-ask-password-agent implements the Password Agents Specification[1].

OPTIONS

The following options are understood:

--list
    Lists all currently pending system password requests.

--query
    Process all currently pending system password requests by querying the user on the calling TTY.

--watch
    Continuously process password requests.

--wall
    Forward password requests to wall(1) instead of querying the user on the calling TTY.

--plymouth
    Ask question with plymouth(8) instead of querying the user on the calling TTY.

--console
    Ask question on /dev/console instead of querying the user on the calling TTY.

-h, --help
    Print a short help text and exit.

--version
    Print a short version string and exit.

EXIT STATUS

On success, 0 is returned, a non-zero failure code otherwise.

SEE ALSO

systemd(1), systemctl(1), systemd-ask-password-console.service(8), wall(1), plymouth(8)

NOTES

1.  Password Agents Specification
    http://www.freedesktop.org/wiki/Software/systemd/PasswordAgents